org.eclipse.microprofile.metrics.tck.metrics

## Class GaugeTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.GaugeTest

    public class GaugeTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GaugeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `gaugeMe()`
`void` `testManualGauge()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GaugeTest

    public GaugeTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testManualGauge

    public void testManualGauge()

#### gaugeMe

    public void gaugeMe()